Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ee
Class JDOConnectionFactory

    java.lang.Object
      |
      +--com.solarmetric.kodo.conf.DefaultConfiguration
            |
            +--com.solarmetric.kodo.conf.SimpleConfiguration
                  |
                  +--com.solarmetric.kodo.impl.jdbc.JDBCSimpleConfiguration
                        |
                        +--com.solarmetric.kodo.impl.jdbc.ee.EESimpleConfiguration
                              |
                              +--com.solarmetric.kodo.impl.jdbc.ee.JDOConnectionFactory

All Implemented Interfaces:
  BeanInfo, Cloneable, Configuration, javax.resource.cci.ConnectionFactory, ConnectionFactoryConfiguration, EEConfiguration, EEConfiguration, JDBCConfiguration, PersistenceManagerFactory, Referenceable, javax.resource.Referenceable, Serializable

public class JDOConnectionFactory
extends EESimpleConfiguration
implements javax.resource.cci.ConnectionFactory, javax.resource.Referenceable, PersistenceManagerFactory

JCA ConnectionFactory for obtaining PersistenceManagers.

See Also:
  Serialized Form

Fields inherited from class com.solarmetric.kodo.impl.jdbc.JDBCSimpleConfiguration
`SEQUENCE_FACTORY_CLASS, SEQUENCE_FACTORY_PROPS`

Fields inherited from class com.solarmetric.kodo.conf.SimpleConfiguration
`BASIC_OPTION, EXPERT_OPTION, TYPE_CONNECTING, TYPE_GENERAL, TYPE_JDO, TYPE_OPTIMIZATION`

Fields inherited from class com.solarmetric.kodo.conf.DefaultConfiguration
`_loc, _log`

Fields inherited from interface com.solarmetric.kodo.impl.jdbc.JDBCConfiguration
`LOG_JDBC, LOG_SCHEMA, LOG_SQL`

Fields inherited from interface com.solarmetric.kodo.conf.Configuration
`LOG_CACHE, LOG_CONF, LOG_ENHANCE, LOG_METADATA, LOG_PERFORMANCE, LOG_PORTABILITY, LOG_QUERY, LOG_RUNTIME`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`JDOConnectionFactory()`
`JDOConnectionFactory(ManagedConnectionFactoryImpl mcf, javax.resource.spi.ConnectionManager cm)`
`JDOConnectionFactory(Properties props)`

Method Summary
`javax.resource.cci.Connection` | `getConnection()`
`javax.resource.cci.Connection` | `getConnection(javax.resource.cci.ConnectionSpec spec)`
`javax.resource.cci.ResourceAdapterMetaData` | `getMetaData()`
`PersistenceManager` | `getPersistenceManager()`
`PersistenceManager` | `getPersistenceManager(String user, String pass)`
`static PersistenceManagerFactory` | `getPersistenceManagerFactory(Properties props)`
`Properties` | `getProperties()`
`javax.resource.cci.RecordFactory` | `getRecordFactory()`
`Reference` | `getReference()`
`void` | `setReference(Reference ref)`
`Collection` | `supportedOptions()`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ee.EESimpleConfiguration
`getManagedRuntime, getManagedRuntimeClass, getManagedRuntimeProperties, setManagedRuntime, setManagedRuntimeClass, setManagedRuntimeProperties`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.JDBCSimpleConfiguration
`getConnectionRetainMode, getConnectionTestTimeout, getDefaultClassMappingClass, getDefaultPersistenceManagerFactoryClass, getDefaultSubclassProviderClass, getDefaultSubclassProviderProperties, getDictionary, getDictionaryClass, getDictionaryProperties, getFlatInheritanceMapping, getKnownConnectionURLList, getKnownDriverList, getSequenceFactory, getSequenceFactory, getSequenceFactoryClass, getSequenceFactoryProperties, getSQLExecutionListener, getSQLExecutionListenerClass, getSQLExecutionManagerClass, getStatementCacheMaxSize, getStatementExecutionTimeout, getSynchronizeSchema, getTransactionIsolation, getTransactionIsolationLevel, getUseBatchedStatements, getUseSQL92Joins, getUseSQL92JoinsConstant, getWarnOnPersistentTypeFailure, loadProperties, setConnectionDriverName, setConnectionRetainMode, setConnectionTestTimeout, setConnectionTestTimeout, setDefaultClassMappingClass, setDefaultSubclassProviderClass, setDefaultSubclassProviderProperties, setDictionary, setDictionaryClass, setDictionaryProperties, setFlatInheritanceMapping, setFlatInheritanceMapping, setSequenceFactory, setSequenceFactory, setSequenceFactoryClass, setSequenceFactoryProperties, setSQLExecutionListenerClass, setSQLExecutionManagerClass, setStatementCacheMaxSize, setStatementCacheMaxSize, setStatementExecutionTimeout, setStatementExecutionTimeout, setSynchronizeSchema, setSynchronizeSchema, setTransactionIsolation, setUseBatchedStatements, setUseBatchedStatements, setUseSQL92Joins, setWarnOnPersistentTypeFailure, setWarnOnPersistentTypeFailure`

Methods inherited from class com.solarmetric.kodo.conf.SimpleConfiguration
`addValue, addValue, addValue, addValue, addValue, addValue, addValue, getAdditionalBeanInfo, getBeanDescriptor, getCacheReferenceSize, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionPassword, getConnectionProperties, getConnectionPropertiesProps, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getDefaultDataCacheTimeout, getDefaultEventIndex, getDefaultFetchBatchSize, getDefaultFetchThreshold, getDefaultPropertyIndex, getEnableQueryExtensions, getEventSetDescriptors, getFetchGroupNames, getFetchGroups, getFlushBeforeQueries, getFlushBeforeQueriesMode, getIcon, getIgnoreCache, getLicenseKey, getMaxPool, getMethodDescriptors, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getPersistentTypeNames, getPersistentTypes, getPropertyDescriptors, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getQueryCache, getQueryCacheClass, getQueryCacheProperties, getQueryFilterListenerInstances, getQueryFilterListeners, getRemoteCommitProviderClass, getRemoteCommitProviderProperties, getRestoreValues, getResultListClass, getResultListProperties, getRetainValues, getTransactionCacheClass, getTransactionCacheProperties, getTransactionMode, getTransactionModeIsXA, getUseSoftTransactionCache, getValues, initDefaults, setCacheReferenceSize, setCacheReferenceSize, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setDefaultDataCacheTimeout, setDefaultDataCacheTimeout, setDefaultFetchBatchSize, setDefaultFetchBatchSize, setDefaultFetchThreshold, setDefaultFetchThreshold, setEnableQueryExtensions, setEnableQueryExtensions, setFetchGroups, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setLicenseKey, setMaxPool, setMaxPool, setMinPool, setMinPool, setMsWait, setMsWait, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setPersistentTypes, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setQueryCache, setQueryCacheClass, setQueryCacheProperties, setQueryFilterListenerInstances, setQueryFilterListeners, setRemoteCommitProviderClass, setRemoteCommitProviderProperties, setRestoreValues, setRestoreValues, setResultListClass, setResultListProperties, setRetainValues, setRetainValues, setTransactionCacheClass, setTransactionCacheProperties, setTransactionMode, setUseSoftTransactionCache, setUseSoftTransactionCache`

Methods inherited from class com.solarmetric.kodo.conf.DefaultConfiguration
`checkFrozen, clone, configurationClone, equals, freeze, fromProperties, getLog, hashCode, isFrozen, loadDefaults, setProperties, setPropertiesFile, setPropertiesInputStream, toProperties`

Methods inherited from class java.lang.Object
`, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jdo.PersistenceManagerFactory
`getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionURL, getConnectionUserName, getIgnoreCache, getMaxPool, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getRestoreValues, getRetainValues, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setIgnoreCache, setMaxPool, setMinPool, setMsWait, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.JDBCConfiguration
`getConnectionRetainMode, getConnectionTestTimeout, getDefaultClassMappingClass, getDefaultSubclassProviderClass, getDefaultSubclassProviderProperties, getDictionary, getDictionaryClass, getDictionaryProperties, getFlatInheritanceMapping, getSequenceFactory, getSequenceFactory, getSequenceFactoryClass, getSequenceFactoryProperties, getSQLExecutionListener, getSQLExecutionListenerClass, getSQLExecutionManagerClass, getStatementCacheMaxSize, getStatementExecutionTimeout, getSynchronizeSchema, getTransactionIsolation, getTransactionIsolationLevel, getUseBatchedStatements, getUseSQL92Joins, getUseSQL92JoinsConstant, getWarnOnPersistentTypeFailure, setConnectionRetainMode, setConnectionTestTimeout, setConnectionTestTimeout, setDefaultClassMappingClass, setDefaultSubclassProviderClass, setDefaultSubclassProviderProperties, setDictionary, setDictionaryClass, setDictionaryProperties, setFlatInheritanceMapping, setFlatInheritanceMapping, setSequenceFactory, setSequenceFactory, setSequenceFactoryClass, setSequenceFactoryProperties, setSQLExecutionListenerClass, setSQLExecutionManagerClass, setStatementCacheMaxSize, setStatementCacheMaxSize, setStatementExecutionTimeout, setStatementExecutionTimeout, setSynchronizeSchema, setSynchronizeSchema, setTransactionIsolation, setUseBatchedStatements, setUseBatchedStatements, setUseSQL92Joins, setWarnOnPersistentTypeFailure, setWarnOnPersistentTypeFailure`

Methods inherited from interface com.solarmetric.kodo.conf.Configuration
`clone, configurationClone, freeze, fromProperties, getCacheReferenceSize, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionPassword, getConnectionProperties, getConnectionPropertiesProps, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getDefaultDataCacheTimeout, getDefaultFetchBatchSize, getDefaultFetchThreshold, getEnableQueryExtensions, getFetchGroupNames, getFetchGroups, getFlushBeforeQueries, getFlushBeforeQueriesMode, getIgnoreCache, getLicenseKey, getMaxPool, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getPersistentTypeNames, getPersistentTypes, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getQueryCache, getQueryCacheClass, getQueryCacheProperties, getQueryFilterListenerInstances, getQueryFilterListeners, getRemoteCommitProviderClass, getRemoteCommitProviderProperties, getRestoreValues, getResultListClass, getResultListProperties, getRetainValues, getTransactionCacheClass, getTransactionCacheProperties, getTransactionMode, getTransactionModeIsXA, getUseSoftTransactionCache, isFrozen, setCacheReferenceSize, setCacheReferenceSize, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setDefaultDataCacheTimeout, setDefaultDataCacheTimeout, setDefaultFetchBatchSize, setDefaultFetchBatchSize, setDefaultFetchThreshold, setDefaultFetchThreshold, setEnableQueryExtensions, setEnableQueryExtensions, setFetchGroups, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setLicenseKey, setMaxPool, setMaxPool, setMinPool, setMinPool, setMsWait, setMsWait, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setPersistentTypes, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setQueryCache, setQueryCacheClass, setQueryCacheProperties, setQueryFilterListenerInstances, setQueryFilterListeners, setRemoteCommitProviderClass, setRemoteCommitProviderProperties, setRestoreValues, setRestoreValues, setResultListClass, setResultListProperties, setRetainValues, setRetainValues, setTransactionCacheClass, setTransactionCacheProperties, setTransactionMode, setUseSoftTransactionCache, setUseSoftTransactionCache, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ConnectionFactoryConfiguration
`getConnectionDriverName, getConnectionFactoryName, getConnectionPassword, getConnectionProperties, getConnectionPropertiesProps, getConnectionURL, getConnectionUserName, getMaxPool, getMinPool, getMsWait, setConnectionDriverName, setConnectionFactoryName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setMaxPool, setMinPool, setMsWait`

Constructor Detail

### JDOConnectionFactory

    public JDOConnectionFactory(ManagedConnectionFactoryImpl mcf,
                                javax.resource.spi.ConnectionManager cm)

### JDOConnectionFactory

    public JDOConnectionFactory()

### JDOConnectionFactory

    public JDOConnectionFactory(Properties props)

Method Detail

### getRecordFactory

    public javax.resource.cci.RecordFactory getRecordFactory()
                                                      throws javax.resource.NotSupportedException

  Specified by:
    `getRecordFactory` in interface `javax.resource.cci.ConnectionFactory`

### getMetaData

    public javax.resource.cci.ResourceAdapterMetaData getMetaData()

  Specified by:
    `getMetaData` in interface `javax.resource.cci.ConnectionFactory`

### getConnection

    public javax.resource.cci.Connection getConnection()
                                                throws javax.resource.ResourceException

  Specified by:
    `getConnection` in interface `javax.resource.cci.ConnectionFactory`

### getConnection

    public javax.resource.cci.Connection getConnection(javax.resource.cci.ConnectionSpec spec)
                                                throws javax.resource.ResourceException

  Specified by:
    `getConnection` in interface `javax.resource.cci.ConnectionFactory`

### setReference

    public void setReference(Reference ref)

  Specified by:
    `setReference` in interface `javax.resource.Referenceable`

### getReference

    public Reference getReference()

  Specified by:
    `getReference` in interface `Referenceable`

### supportedOptions

    public Collection supportedOptions()

  Specified by:
    `supportedOptions` in interface `PersistenceManagerFactory`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `PersistenceManagerFactory`

### getPersistenceManager

    public PersistenceManager getPersistenceManager()

  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`

### getPersistenceManager

    public PersistenceManager getPersistenceManager(String user,
                                                    String pass)

  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`

### getPersistenceManagerFactory

    public static PersistenceManagerFactory getPersistenceManagerFactory(Properties props)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.